import { EventFragment } from "@/gql/graphql";
import { EventItem } from "./EventItem";
import styles from "./eventList.module.scss";

export const EventList = ({ events }: { events: EventFragment[] }) => {
  return (
    <ul className={styles.eventList}>
      {events.map((event) => (
        <EventItem key={event.id} event={event} />
      ))}
    </ul>
  );
};
